<?php

namespace Tools;

abstract class AHttpController extends AController
{
	public function __construct($context, $params)
	{ parent::__construct($context, $params); }

	public function start()
	{
		//TODO call some hooks
		$this->run();
		//TODO calls some hooks
	}

	public abstract function run();
}

